NotaryChangeWireTransaction
Keywords: net.corda.core.transactions.NotaryChangeWireTransaction class
Date: 2023-09-18

net.corda.core.transactions

## Class NotaryChangeWireTransaction

- net.corda.core.transactions.BaseTransaction
- - net.corda.core.transactions.CoreTransaction
  - - net.corda.core.transactions.NotaryChangeWireTransaction

- All Implemented Interfaces:
    NamedByHash

      public class NotaryChangeWireTransaction
      extends CoreTransaction

  A special transaction for changing the notary of a state. It only needs specifying the state(s) as input(s), old and new notaries. Output states can be computed by applying the notary modification to corresponding inputs on the fly.

- - ### Constructor Detail

    - #### NotaryChangeWireTransaction

          public NotaryChangeWireTransaction(@NotNull
                                             java.util.List<? extends net.corda.core.utilities.OpaqueBytes> serializedComponents,
                                             @NotNull
                                             DigestService digestService)

      A special transaction for changing the notary of a state. It only needs specifying the state(s) as input(s), old and new notaries. Output states can be computed by applying the notary modification to corresponding inputs on the fly.

      Parameters:
        `serializedComponents` - Contains all of the transaction components in serialized form.This is used for calculating the transaction id in a deterministic fashion, since re-serializing propertiesmay result in a different byte sequence depending on the serialization context.

    - #### NotaryChangeWireTransaction

          public NotaryChangeWireTransaction(@NotNull
                                             java.util.List<? extends net.corda.core.utilities.OpaqueBytes> serializedComponents)

      Old version of `class NotaryChangeWireTransaction` constructor for ABI compatibility.

      See Also:
        `class NotaryChangeWireTransaction`

    - #### NotaryChangeWireTransaction

          @Deprecated
          public NotaryChangeWireTransaction(@NotNull
                                                         java.util.List<net.corda.core.contracts.StateRef> inputs,
                                                         @NotNull
                                                         Party notary,
                                                         @NotNull
                                                         Party newNotary)

      Deprecated.

  - ### Method Detail

    - #### copy

          @NotNull
          public NotaryChangeWireTransaction copy(@NotNull
                                                           java.util.List<? extends net.corda.core.utilities.OpaqueBytes> serializedComponents)

      Old version of `NotaryChangeWireTransaction.copy` for ABI compatibility.

      See Also:
        `NotaryChangeWireTransaction.copy`

    - #### getInputs

          @NotNull
          public java.util.List<net.corda.core.contracts.StateRef> getInputs()

      The inputs of this transaction, containing state references only.

    - #### getReferences

          @NotNull
          public java.util.List<net.corda.core.contracts.StateRef> getReferences()

      The reference inputs of this transaction, containing the state references only.

    - #### getNotary

          @NotNull
          public Party getNotary()

      If present, the notary for this transaction. If absent then the transaction is not notarised at all. This is intended for issuance/genesis transactions that don't consume any other states and thus can't double spend anything.

    - #### getNewNotary

          @NotNull
          public Party getNewNotary()

      Identity of the notary service to reassign the states to.

    - #### getNetworkParametersHash

          @Nullable
          public SecureHash getNetworkParametersHash()

      Hash of the network parameters that were in force when the transaction was notarised. Null means, that the transaction was created on older version of Corda (before 4), resolution will default to initial parameters.

    - #### getOutputs

          @NotNull
          public java.util.List<net.corda.core.contracts.TransactionState> getOutputs()

      This transaction does not contain any output states, outputs can be obtained by resolving a `class NotaryChangeLedgerTransaction` and applying the notary modification to inputs.

      See Also:
        `class NotaryChangeLedgerTransaction`

    - #### getId

          @NotNull
          public SecureHash getId()

      A privacy salt is not really required in this case, because we already used nonces in normal transactions and thus input state refs will always be unique. Also, filtering doesn't apply on this type of transactions.

    - #### resolve

          @NotNull
          public NotaryChangeLedgerTransaction resolve(@NotNull
                                                                ServicesForResolution services,
                                                                @NotNull
                                                                java.util.List<net.corda.core.crypto.TransactionSignature> sigs)

      Resolves input states and network parameters and builds a `class NotaryChangeLedgerTransaction`.

      See Also:
        `class NotaryChangeLedgerTransaction`

    - #### resolve

          @NotNull
          public NotaryChangeLedgerTransaction resolve(@NotNull
                                                                ServiceHub services,
                                                                @NotNull
                                                                java.util.List<net.corda.core.crypto.TransactionSignature> sigs)

      Resolves input states and builds a `class NotaryChangeLedgerTransaction`.

      See Also:
        `class NotaryChangeLedgerTransaction`

    - #### getSerializedComponents

          @NotNull
          public java.util.List<net.corda.core.utilities.OpaqueBytes> getSerializedComponents()

      Contains all of the transaction components in serialized form.

      This is used for calculating the transaction id in a deterministic fashion, since re-serializing propertiesmay result in a different byte sequence depending on the serialization context.

    - #### getDigestService

          @NotNull
          public DigestService getDigestService()

    - #### component1

          @NotNull
          public java.util.List<net.corda.core.utilities.OpaqueBytes> component1()

      Contains all of the transaction components in serialized form.

      This is used for calculating the transaction id in a deterministic fashion, since re-serializing propertiesmay result in a different byte sequence depending on the serialization context.

    - #### component2

          @NotNull
          public DigestService component2()

    - #### copy

          @NotNull
          public NotaryChangeWireTransaction copy(@NotNull
                                                           java.util.List<? extends net.corda.core.utilities.OpaqueBytes> serializedComponents,
                                                           @NotNull
                                                           DigestService digestService)

      A special transaction for changing the notary of a state. It only needs specifying the state(s) as input(s), old and new notaries. Output states can be computed by applying the notary modification to corresponding inputs on the fly.

    - #### toString

          @NotNull
          public java.lang.String toString()

      A special transaction for changing the notary of a state. It only needs specifying the state(s) as input(s), old and new notaries. Output states can be computed by applying the notary modification to corresponding inputs on the fly.

    - #### hashCode

          public int hashCode()

      A special transaction for changing the notary of a state. It only needs specifying the state(s) as input(s), old and new notaries. Output states can be computed by applying the notary modification to corresponding inputs on the fly.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A special transaction for changing the notary of a state. It only needs specifying the state(s) as input(s), old and new notaries. Output states can be computed by applying the notary modification to corresponding inputs on the fly.